<?php
/**
 * plugin name: Aani Pay
 * Description: Create Quick Payment Forms for WooCommerce Products
 * Plugin URI:  https://mihanwp.com/aani/
 * Author:      MihanWP
 * Author URI:  https://mihanwp.com/
 * Version:     2.1
 * License: GPL-2.0-or-later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * text domain: aani-woocommerce
 * domain path: /lang
 */

use Mihanwp\FastCheckout\App\Core\Ajax;
use Mihanwp\FastCheckout\App\Core\Hooks;

defined('ABSPATH') || exit('No Access');
final class MihanwpAaniWoocommerce
{
    private static $_instance;
    static function getInstance()
    {
        if(!self::$_instance)
        {
            self::$_instance = new self();
        }
        return self::$_instance;
    }
    function __construct()
    {
        self::defines();
        spl_autoload_register([$this, 'autoload']);
        Hooks::init();
        Ajax::init();
    }

    static function defines()
    {
        define('MW_AANI_CHECKOUT_APPLICATION', __FILE__);
        define('MW_AANI_CHECKOUT_DIR_PATH', plugin_dir_path(MW_AANI_CHECKOUT_APPLICATION));
        define('MW_AANI_CHECKOUT_DIR_URL', plugin_dir_url(MW_AANI_CHECKOUT_APPLICATION));
        define('MW_AANI_CHECKOUT_LANG',basename(MW_AANI_CHECKOUT_DIR_PATH) . '/lang');
    }
    function autoload($className)
    {
        if(strpos($className, 'Mihanwp\\FastCheckout') === 0)
        {
            $className = str_replace('Mihanwp\\FastCheckout\\', '', $className);
            $className = explode('\\', $className);
            $fileName = array_pop($className);
            $fileName = lcfirst($fileName);
            $className = array_map('strtolower', $className);
            $className[] = $fileName;
            $className = implode(DIRECTORY_SEPARATOR, $className);
            $className = MW_AANI_CHECKOUT_DIR_PATH . $className . '.php';
            if(file_exists($className) && is_readable($className))
            {
                include_once $className;
            }
        }
    }
}
MihanwpAaniWoocommerce::getInstance();
