<?php
namespace Mihanwp\FastCheckout\App\Core;
class Config
{
    private static $_plugin_version=null;
    static function handleTextDomain()
    {
        if ( version_compare( $GLOBALS['wp_version'], '6.7', '<' ) ) {
            load_plugin_textdomain( 'aani-woocommerce', false, MW_AANI_CHECKOUT_LANG );
          } else {
              load_textdomain( 'aani-woocommerce', MW_AANI_CHECKOUT_DIR_PATH . 'lang/aani-woocommerce-' . determine_locale() . '.mo' );
          }
    }
    public static function get_plugin_version()
    {
        if(!self::$_plugin_version)
        {
            $file_data = get_file_data(MW_AANI_CHECKOUT_APPLICATION, ['version' => 'version']);
            if(!isset($file_data['version']))
            {
                return false;
            }
            self::$_plugin_version = $file_data['version'];
        }
        return self::$_plugin_version;
    }
    static function handleMihanPanelInstallationAdminNotice()
    {
        if(!\Mihanwp\FastCheckout\App\Helpers\Tools::checkIsMihanPanelProActive())
        {
            ?>
            <div class="notice notice-error">
                <p><?php printf('<b>%s: </b>%s', sprintf(esc_html__("Dear %s", 'aani-woocommerce'), esc_html(wp_get_current_user()->display_name)), __('Please note that if MihanPanel Pro plugin is not installed on your site, orders will be registered as a guest user and no account will be created for new users.', 'aani-woocommerce')); ?></p>
            </div>
            <?php
        }
    }
}