<?php
namespace Mihanwp\FastCheckout\App\Core;
class Hooks
{
    static function init()
    {
        add_action('admin_init', [__CLASS__, 'handleAaniFreeVersionProcess']);
        add_action('admin_init', [__CLASS__, 'disableQuickPayVersion']);
        add_action('plugin_loaded', ['\Mihanwp\FastCheckout\App\Core\Config', 'handleTextDomain']);
        add_action('init', ['\Mihanwp\FastCheckout\App\Core\shortcodes', 'init']);
        add_action('add_meta_boxes_product', ['\Mihanwp\FastCheckout\App\Controller\Products', 'addShortcodeValueMetabox']);
        add_action('wp_enqueue_scripts', ['\Mihanwp\FastCheckout\App\Core\Assets', 'init']);
        add_action('woocommerce_order_status_completed', ['\Mihanwp\FastCheckout\App\Controller\Orders', 'handleFastCheckoutOrderAfterCompleted'], 10, 2);
        add_action('admin_enqueue_scripts', ['\Mihanwp\FastCheckout\App\Controller\Products', 'enqueueEditProductViewAssets']);
        add_filter('manage_shop_order_posts_columns', ['\Mihanwp\FastCheckout\App\Controller\Orders', 'addIsFastCheckoutColumnInAdmin'], 15);
        add_action('manage_shop_order_posts_custom_column', ['\Mihanwp\FastCheckout\App\Controller\Orders', 'handleIsFastCheckoutColumnValueInAdmin'], 10, 2);
        add_action('add_meta_boxes_shop_order', ['\Mihanwp\FastCheckout\App\Controller\Orders', 'addShopOrderIsFastCheckoutMetaBox']);
        add_action('admin_notices', ['\Mihanwp\FastCheckout\App\Core\Config', 'handleMihanPanelInstallationAdminNotice']);
        
        add_action('woocommerce_product_options_pricing', ['\Mihanwp\FastCheckout\App\Controller\Products', 'addOnSaleEndTimeFieldToProductAdminView']);
        add_action('woocommerce_process_product_meta', ['\Mihanwp\FastCheckout\App\Controller\Products', 'handleSaveOnSaleEndTimeFieldValue']);
    }

    static function disableQuickPayVersion()
    {
        $all = get_option('active_plugins');
        if(in_array('mihanwp-quickpay/mihanwp-quickpay.php', $all))
        {
            deactivate_plugins('mihanwp-quickpay/mihanwp-quickpay.php');
        }
    }
    static function handleAaniFreeVersionProcess()
    {
        if(!get_option('mw_aani_woocommerce_free_version_process'))
        {
            delete_option('mw_quick_pay_license_key');
            delete_option('mw_quick_pay_license_status');
            wp_clear_scheduled_hook('mw_quick_pay_check_license_event');

            update_option('mw_aani_woocommerce_free_version_process', 1);
        }
    }
}