<?php

namespace Mihanwp\FastCheckout\App\Core;

use Mihanwp\FastCheckout\App\Model\Gateway;
use Mihanwp\FastCheckout\App\Model\Product as ProductModel;

class shortcodes
{
    static function init()
    {
        add_shortcode('mw_fast_checkout', [__CLASS__, 'aaniCheckoutHandler']);
        add_shortcode('mw_aani_checkout', [__CLASS__, 'aaniCheckoutHandler']);
    }
    static function aaniCheckoutHandler($atts, $content = '')
    {
        Assets::loadFastCheckoutShortcodeAssets();
        $pid = isset($atts['pid']) ? intval($atts['pid']) : false;
        if (!$pid) {
            ob_start();
            ?>
            <div class="fast-checkout-wrapper">
                <span class="invalid-form"><?php esc_html_e('Missing product id value in shortcode', 'aani-woocommerce') ?></span>
            </div>
            <?php
            return ob_get_clean();
        }
        $gateway = isset($atts['gateway']) ? sanitize_text_field($atts['gateway']) : false;
        if(!$gateway)
        {
            ob_start();
            ?>
            <div class="fast-checkout-wrapper">
                <span class="invalid-form"><?php esc_html_e('Missing gateway id value in shortcode', 'aani-woocommerce') ?></span>
            </div>
            <?php
            return ob_get_clean();
        }
        if(!Gateway::validateGatewayId($gateway))
        {
            ob_start();
            ?>
            <div class="fast-checkout-wrapper">
                <span class="invalid-form"><?php esc_html_e('Invalid gateway id', 'aani-woocommerce') ?></span>
            </div>
            <?php
            return ob_get_clean();
        }
        $product = wc_get_product($pid);        
        if(!$product)
        {
            ob_start();
            ?>
            <div class="fast-checkout-wrapper">
                <span class="invalid-form"><?php esc_html_e('No any valid product found', 'aani-woocommerce')?></span>
            </div>
            <?php
            return ob_get_clean();
        }
        $cehckoutBtnText = isset($atts['checkout_text']) ? sanitize_text_field($atts['checkout_text']) : __('Make payment', 'aani-woocommerce');
        $invoiceAmountText = isset($atts['invoice_payment_amount_text']) ? sanitize_text_field($atts['invoice_payment_amount_text']) : __('Invoice payment amount', 'aani-woocommerce');
        $nonce = wp_create_nonce('mwcfc_product_' . $pid . '_form_' . $gateway);
        $qty = isset($atts['qty']) ? intval($atts['qty']) : 1;
        $dateOnSaleTo = $product->get_date_on_sale_to();
        if($dateOnSaleTo)
        {
            $dateOnSaleTo = $dateOnSaleTo->date('Y-m-d');
            $dateOnSaleToTime = ProductModel::getOnSaleEndTime($product->get_ID()) ?: '23:59';
            $onSaleEndTime = \strtotime($dateOnSaleTo . ' ' . $dateOnSaleToTime);
        }

        ob_start();
        $view = Views::get('user.fast-checkout-form');
        $view ? include $view : null;
        return ob_get_clean();
    }
}
