<?php

namespace Mihanwp\FastCheckout\App\Model;

class Product
{
    static function getDiscountPercentage($product)
    {
        if (!$product) {
            return false;
        }
        if (is_numeric($product)) {
            $product = wc_get_product($product);
        }

        $regularPrice = intval($product->get_regular_price());
        return number_format(($regularPrice - intval($product->get_sale_price())) / $regularPrice * 100, 1);
    }
    static function getOnSaleEndTime($productID)
    {
        if (!$productID) {
            return false;
        }
        return get_post_meta($productID, '__aani_sale_end_time', true);
    }
    static function setOnSaleEndTime($productID, $value)
    {
        if (!$productID) {
            return false;
        }
        return update_post_meta($productID, '__aani_sale_end_time', sanitize_text_field($value));
    }
}
