<?php $formUniqueID = sprintf('%s-', uniqid('aani-pay')); ?>
<div class="aani-woocommerce">
    <?php if (!\Mihanwp\FastCheckout\App\Helpers\Tools::checkIsMihanPanelProActive() && is_user_logged_in() && user_can(get_current_user_id(), 'manage_options')) : ?>
        <div class="aa-notice">
            <span><?php printf('<b>%s: </b>%s', sprintf(esc_html__("Dear %s", 'aani-woocommerce'), esc_html(wp_get_current_user()->display_name)), __('Please note that if MihanPanel Pro plugin is not installed on your site, orders will be registered as a guest user and no account will be created for new users.', 'aani-woocommerce')); ?></span>
        </div>
    <?php endif; ?>

    <div class="aani-woocommerce-form-wrapper">
        <div class="aa-header-section">
            <div class="aa-product-thumbnail">
                <?php if($productThumbnailUrl = get_the_post_thumbnail_url($product->get_ID())): ?>
                    <img src="<?php echo esc_url($productThumbnailUrl)?>" alt="product-thumbnail">
                <?php else: ?>
                    <span class="cover-holder"></span>
                <?php endif; ?>
            </div>
            <div class="aa-product-data">
                <div class="aa-title"><?php echo esc_html($product->get_name()); ?></div>
                <div class="aa-description"><?php echo esc_html($product->get_short_description()); ?></div>
            </div>
        </div>

        <form method="post" class="aa-body-section aa-form-payment" mwqp-qty="<?php echo isset($qty) ? esc_attr(intval($qty)) : 1; ?>" mwqp-nonce="<?php echo esc_attr($nonce) ?>" gateway="<?php echo esc_attr($gateway) ?>" pid="<?php echo esc_attr($product->get_id()); ?>">
            <div class="aa-field-wrapper">
                <label for="<?php echo esc_attr(sprintf('%s-phone', $formUniqueID)) ?>"><?php esc_html_e('Phone Number', 'aani-woocommerce') ?></label>
                <input dir="ltr" placeholder="9---------" type="text" name="phone-number" id="<?php echo esc_attr(sprintf('%s-phone', $formUniqueID)) ?>">
            </div>

            <div class="aa-field-wrapper">
                <label for="<?php echo esc_attr(sprintf('%s-name', $formUniqueID)) ?>"><?php esc_html_e('Full name', 'aani-woocommerce') ?></label>
                <input dir="<?php is_rtl() ? 'rtl' : 'ltr'; ?>" placeholder="<?php echo esc_attr_e('ex. John Doe', 'aani-woocommerce')?>" type="text" name="full-name" id="<?php echo esc_attr(sprintf('%s-name', $formUniqueID)) ?>">
            </div>

            <div class="aa-price-section">
                <div class="aa-price-value-section">
                    <?php if ($regularPrice = $product->get_regular_price()): ?>
                        <?php if ($product->is_on_sale()): ?>
                            <span class="del-value">
                                <span class="price-value"><?php echo esc_html(\Mihanwp\FastCheckout\App\Helpers\Number::priceFormat($regularPrice)); ?></span>
                                <span class="currency"><?php echo esc_html(get_woocommerce_currency_symbol()) ?></span>
                            </span>

                            <span class="price">
                                <?php if ($product->get_sale_price() == 0) : ?>
                                    <span class="price-value"><?php esc_html_e('Free', 'aani-woocommerce') ?></span>
                                <?php else: ?>
                                    <span class="price-value"><?php echo esc_html(\Mihanwp\FastCheckout\App\Helpers\Number::priceFormat($product->get_price())); ?></span>
                                    <span class="currency"><?php echo esc_html(get_woocommerce_currency_symbol()) ?></span>
                                <?php endif; ?>

                            </span>
                        <?php else: ?>
                            <span class="price">
                                <span class="price-value"><?php echo esc_html(\Mihanwp\FastCheckout\App\Helpers\Number::priceFormat($product->get_price())); ?></span>
                                <span class="currency"><?php echo esc_html(get_woocommerce_currency_symbol()) ?></span>
                            </span>
                        <?php endif; ?>
                    <?php else: ?>
                        <div class="price">
                            <span class="price-value"><?php _e('Free', 'aani-woocommerce') ?></span>
                        </div>
                    <?php endif; ?>


                </div>
                <?php if($product->is_on_sale()): ?>
                    <div class="aa-discount-section">
                        <div class="aa-discount-percentage">
                            <span class="icon">
                                <img src="<?php echo esc_url(\Mihanwp\FastCheckout\App\Core\Assets::getImg('discount-icon', 'svg')) ?>" alt="discount-icon">
                            </span>
                            <span class="discount-value"><?php echo '% ' . esc_html(\Mihanwp\FastCheckout\App\Model\Product::getDiscountPercentage($product)); ?></span>
                        </div>
                        <div class="aa-timer" server-time="<?php echo esc_attr(current_time('timestamp'))?>" end-time-value="<?php echo isset($onSaleEndTime) ? esc_attr($onSaleEndTime) : ''; ?>">00 : 00 : 00</div>
                        <div class="aa-discount-suffix"><?php esc_html_e('Until the end of disount', 'aani-woocommerce')?></div>
                    </div>
                <?php endif; ?>
            </div>

            <div class="aa-field-wrapper">
                <div class="alert-item form-description"><?php echo esc_html($invoiceAmountText); ?></div>
                <span class="notice-box"></span>
                <button class="aa-payment-btn">
                    <span class="title"><?php echo esc_html($cehckoutBtnText); ?></span>
                    <span class="icon">
                        <span class="dashicons dashicons-arrow-left-alt2"></span>
                    </span>
                </button>
            </div>
        </div>
    </div>
</div>